Subject: [alpine-user] Problem with Xen LiveCD

From: "Bruce Montrose" <[email-masked]>
Date: Tue, 24 Jul 2018 12:29:57 -0400

I did the following steps with the shown results below:

=== Step #1 ===
burn image of alpine-xen-3.8.0-x86_64.iso to a USB thumb drive

=== Step #2 ===
boot up thumb drive and login as root

=== Step #3 ===
setup-xen-dom0
setup-alpine

Note: this completes successfully with NO errors, and I was instructed to reboot the machine.

== Step #4 ===
reboot

Note: during reboot I saw a menu with one entry and then the boot procedure began.
At the end of the boot I see the following on the console:

mount: mounting xenfs on /proc/xen failed: No such file or directory
xencall: error: Could not obtain handle on privileged command interface: No such file or directory
FATAL: Failed to open connection to hypervisor: No such file or directory
* ERROR: xenstored failed to start
* Starting chronyd ...
* Starting busybox crond ...
* Starting sshd ...
* ERROR: cannot start xenconsoled as xenstored would not start
* ERROR: cannot start xenqemu as xenstored would not start

Welcome to Apline Linux 3.8
Kernel 4.14.52-0-vanilla on an x86_64 (/dev/tty1)

alpine login:

=== Comment ===
It would seem that it did not boot up through Xen, but rather Vanilla only.
The scripts seem to have failed to setup the Xen boot process.

Please advise what to do.

Thanks.

Respectfully,
Bruce Montrose Computer Scientist Naval Research Laboratory Code 5542 4555 Overlook Ave. SW Washington, DC 20375